import tkinter as tk


def close_window():
    root.destroy()


def countdown(seconds):
    if seconds > 0:
        label.config(text=str(seconds))
        root.after(1000, countdown, seconds - 1)
    else:
        close_window()


root = tk.Tk()
root.geometry("200x100")

label = tk.Label(root, font=("Helvetica", 48))
label.pack(pady=20)

countdown(5)  # 设置倒计时时间，单位为秒

root.mainloop()
